/* status code symbol table */

/* CREATED BY makeStatTbl
 *       FROM /usr/rt/uw-2.0/h
 *         ON Mon Jan 23 10:48:15 PST 1989
 */

#include "vxWorks.h"
#include "symLib.h"
#include "rpctypes.h"
#include "xdr_nfs.h"
#include "auth.h"
#include "clnt.h"

#include "vwModNum.h"

#define S_NEWFCN  0x10
#define S_SHRSEG	0x20
#define S_dsmLib_UNKNOWN_INSTRUCTION	(M_dsmLib | 1)
#define S_errnoLib_INT_NEST_TOO_DEEP	(M_errnoLib | 1)
#define S_fioLib_UNEXPECTED_EOF		(M_fioLib | 1)
#define S_hostLib_UNKNOWN_HOST			(M_hostLib | 1)
#define S_hostLib_HOST_ALREADY_ENTERED		(M_hostLib | 2)
#define S_inetLib_ILLEGAL_INTERNET_ADDRESS		(M_inetLib | 1)
#define S_inetLib_ILLEGAL_NETWORK_NUMBER		(M_inetLib | 2)
#define S_ioLib_NO_DRIVER		(M_ioLib | 1)
#define S_ioLib_UNKNOWN_REQUEST		(M_ioLib | 2)
#define S_ioLib_DEVICE_ERROR		(M_ioLib | 3)
#define S_ioLib_DEVICE_TIMEOUT		(M_ioLib | 4)
#define S_ioLib_WRITE_PROTECTED		(M_ioLib | 5)
#define S_ioLib_DISK_NOT_PRESENT	(M_ioLib | 6)
#define S_ioLib_NO_FILENAME		(M_ioLib | 7)
#define S_ioLib_CANCELED		(M_ioLib | 8)
#define S_ioLib_NO_DEVICE_NAME_IN_PATH	(M_ioLib | 9)
#define S_iosLib_DEVICE_NOT_FOUND		(M_iosLib | 1)
#define S_iosLib_DRIVER_GLUT			(M_iosLib | 2)
#define S_iosLib_INVALID_FILE_DESCRIPTOR	(M_iosLib | 3)
#define S_iosLib_TOO_MANY_OPEN_FILES		(M_iosLib | 4)
#define S_iosLib_CONTROLLER_NOT_PRESENT		(M_iosLib | 5)
#define S_iosLib_DUPLICATE_DEVICE_NAME		(M_iosLib | 6)
#define S_ldLib_TOO_MANY_SYMBOLS	(M_ldLib | 1)
#define S_memLib_NOT_ENOUGH_MEMORY		(M_memLib | 1)
#define S_memLib_INVALID_NBYTES			(M_memLib | 2)
#define S_memLib_BLOCK_ERROR			(M_memLib | 3)
#define S_netDrv_INVALID_NUMBER_OF_BYTES	(M_netDrv | 1)
#define S_netDrv_SEND_ERROR			(M_netDrv | 2)
#define S_netDrv_RECV_ERROR			(M_netDrv | 3)
#define S_netDrv_UNKNOWN_REQUEST		(M_netDrv | 4)
#define S_netDrv_BAD_SEEK			(M_netDrv | 5)
#define S_netDrv_SEEK_PAST_EOF_ERROR		(M_netDrv | 6)
#define S_netDrv_BAD_EOF_POSITION		(M_netDrv | 7)
#define S_netDrv_SEEK_FATAL_ERROR		(M_netDrv | 8)
#define	S_netDrv_WRITE_ONLY_CANNOT_READ		(M_netDrv | 9)
#define	S_netDrv_READ_ONLY_CANNOT_WRITE		(M_netDrv | 10)
#define	S_netDrv_READ_ERROR			(M_netDrv | 11)
#define S_netDrv_WRITE_ERROR			(M_netDrv | 12)
#define S_netDrv_NO_SUCH_FILE_OR_DIR		(M_netDrv | 13)
#define S_netDrv_PERMISSION_DENIED		(M_netDrv | 14)
#define S_netDrv_IS_A_DIRECTORY			(M_netDrv | 15)
#define S_netDrv_UNIX_FILE_ERROR		(M_netDrv | 16)
#define S_nfsDrv_INVALID_NUMBER_OF_BYTES	(M_nfsDrv | 1)
#define S_nfsDrv_BAD_FLAG_MODE			(M_nfsDrv | 2)
#define S_nfsDrv_CREATE_NO_FILE_NAME		(M_nfsDrv | 3)
#define S_nfsDrv_UNKNOWN_REQUEST		(M_nfsDrv | 4)
#define	S_nfsDrv_FATAL_ERR_FLUSH_INVALID_CACHE	(M_nfsDrv | 5)
#define	S_nfsDrv_WRITE_ONLY_CANNOT_READ		(M_nfsDrv | 6)
#define	S_nfsDrv_READ_ONLY_CANNOT_WRITE		(M_nfsDrv | 7)
#define	S_nfsDrv_NOT_AN_NFS_DEVICE		(M_nfsDrv | 8)
#define	S_nfsDrv_NO_HOST_NAME_SPECIFIED		(M_nfsDrv | 9)
#define	S_nfsLib_NFS_AUTH_UNIX_FAILED		(M_nfsLib | 1)
#define	S_nfsLib_NFS_INAPPLICABLE_FILE_TYPE	(M_nfsLib | 2)
#define S_nfsLib_NFS_OK			(M_nfsStat | (int) NFS_OK)
#define S_nfsLib_NFSERR_PERM		(M_nfsStat | (int) NFSERR_PERM)
#define S_nfsLib_NFSERR_NOENT		(M_nfsStat | (int) NFSERR_NOENT)
#define S_nfsLib_NFSERR_IO		(M_nfsStat | (int) NFSERR_IO)
#define S_nfsLib_NFSERR_NXIO		(M_nfsStat | (int) NFSERR_NXIO)
#define S_nfsLib_NFSERR_ACCES		(M_nfsStat | (int) NFSERR_ACCES)
#define S_nfsLib_NFSERR_EXIST		(M_nfsStat | (int) NFSERR_EXIST)
#define S_nfsLib_NFSERR_NODEV		(M_nfsStat | (int) NFSERR_NODEV)
#define S_nfsLib_NFSERR_NOTDIR		(M_nfsStat | (int) NFSERR_NOTDIR)
#define S_nfsLib_NFSERR_ISDIR		(M_nfsStat | (int) NFSERR_ISDIR)
#define S_nfsLib_NFSERR_FBIG		(M_nfsStat | (int) NFSERR_FBIG)
#define S_nfsLib_NFSERR_NOSPC		(M_nfsStat | (int) NFSERR_NOSPC)
#define S_nfsLib_NFSERR_ROFS		(M_nfsStat | (int) NFSERR_ROFS)
#define S_nfsLib_NFSERR_NAMETOOLONG	(M_nfsStat | (int) NFSERR_NAMETOOLONG)
#define S_nfsLib_NFSERR_NOTEMPTY	(M_nfsStat | (int) NFSERR_NOTEMPTY)
#define S_nfsLib_NFSERR_DQUOT		(M_nfsStat | (int) NFSERR_DQUOT)
#define S_nfsLib_NFSERR_STALE		(M_nfsStat | (int) NFSERR_STALE)
#define S_nfsLib_NFSERR_WFLUSH		(M_nfsStat | (int) NFSERR_WFLUSH)
#define S_pasLib_BAD_FILENAME		(M_pasLib | 1)
#define S_pasLib_BAD_FILEVARIABLE	(M_pasLib | 2)
#define S_pasLib_FILE_NOT_OPEN		(M_pasLib | 3)
#define S_pasLib_FILE_READ_ONLY		(M_pasLib | 4)
#define S_pasLib_FILE_WRT_ONLY		(M_pasLib | 5)
#define S_pasLib_FILE_OPEN_ERR		(M_pasLib | 6)
#define S_pasLib_FILE_REC_ERR		(M_pasLib | 7)
#define S_pasLib_UNDEF_FILE_VAR		(M_pasLib | 8)
#define S_pasLib_INPUT_ERR		(M_pasLib | 9)
#define S_pasLib_FORMAT_ERR		(M_pasLib | 10)
#define S_pasLib_EOF			(M_pasLib | 11)
#define S_pasLib_BUF_VAR_ERR		(M_pasLib | 12)
#define S_pasLib_NEG_OR_0_ERR		(M_pasLib | 13)
#define S_pasLib_NEW_ERR		(M_pasLib | 14)
#define S_pasLib_DISPOSE_ERR		(M_pasLib | 15)
#define S_psos_SPAWN_P_NO_PCBS_AVAILABLE		(M_psos | 0x0101)
#define S_psos_SPAWN_P_CANNOT_ALLOCATE_STACK		(M_psos | 0x0102)
#define S_psos_SPAWN_P_STACK_CANNOT_HOLD_ARGLIST	(M_psos | 0x0103)
#define S_psos_SPAWN_P_PRIORITY_ZERO_RESERVED		(M_psos | 0x0104)
#define S_psos_ACTIVATE_P_PROCESS_DELETED		(M_psos | 0x0201)
#define S_psos_ACTIVATE_P_TASK_ID_NOT_FOUND		(M_psos | 0x0202)
#define S_psos_ACTIVATE_P_NOT_IN_SAME_GROUP		(M_psos | 0x0203)
#define S_psos_ACTIVATE_P_ALREADY_ACTIVATED		(M_psos | 0x0205)
#define S_psos_IDENT_P_NAME_NOT_FOUND			(M_psos | 0x0301)
#define S_psos_DELETE_P_ALREADY_DELETED			(M_psos | 0x0401)
#define S_psos_DELETE_P_TASK_ID_NOT_FOUND		(M_psos | 0x0402)
#define S_psos_DELETE_P_GROUP_VIOLATION			(M_psos | 0x0403)
#define S_psos_DELETE_P_FILES_OPEN			(M_psos | 0x0405)
#define S_psos_SUSPEND_P_PROCESS_DELETED		(M_psos | 0x0501)
#define S_psos_SUSPEND_P_TASK_ID_NOT_FOUND		(M_psos | 0x0502)
#define S_psos_SUSPEND_P_GROUP_VIOLATION		(M_psos | 0x0503)
#define S_psos_SUSPEND_P_ALREADY_SUSPENDED		(M_psos | 0x0504)
#define S_psos_RESUME_P_PROCESS_DELETED			(M_psos | 0x0601)
#define S_psos_RESUME_P_TASK_ID_NOT_FOUND		(M_psos | 0x0602)
#define S_psos_RESUME_P_GROUP_VIOLATION			(M_psos | 0x0603)
#define S_psos_RESUME_P_PROCESS_NOT_SUSPENDED		(M_psos | 0x0604)
#define S_psos_PRIORITY_P_PROCESS_DELETED		(M_psos | 0x0701)
#define S_psos_PRIORITY_P_TASK_ID_NOT_FOUND		(M_psos | 0x0702)
#define S_psos_PRIORITY_P_GROUP_VIOLATION		(M_psos | 0x0703)
#define S_psos_PRIORITY_P_OVERFLOW			(M_psos | 0x0780)
#define S_psos_PRIORITY_P_UNDERFLOW			(M_psos | 0x0781)
#define S_psos_ALLOC_SEG_PARAMETRIC_ERROR		(M_psos | 0x0802)
#define S_psos_ALLOC_SEG_NO_FREE_SEG			(M_psos | 0x0880)
#define S_psos_ALLOC_SEG_TIMED_OUT			(M_psos | 0x0881)
#define S_psos_FREE_SEG_NOT_OWNER			(M_psos | 0x0901)
#define S_psos_FREE_SEG_BAD_ADDRESS			(M_psos | 0x0905)
#define S_psos_ASSIGN_SEG_NOT_OWNER			(M_psos | 0x0a01)
#define S_psos_ASSIGN_SEG_TASK_NOT_FOUND		(M_psos | 0x0a02)
#define S_psos_ASSIGN_SEG_GROUP_VIOLATION		(M_psos | 0x0a03)
#define S_psos_ASSIGN_SEG_BAD_ADDRESS			(M_psos | 0x0a05)
#define S_psos_GRAB_SEG_NOT_OWNER			(M_psos | 0x1001)
#define S_psos_GRAB_TASK_NOT_FOUND			(M_psos | 0x1002)
#define S_psos_GRAB_GROUP_VIOLATION			(M_psos | 0x1003)
#define S_psos_GRAB_BAD_ADDRESS				(M_psos | 0x1005)
#define S_psos_LIBER_X_EXCHANGE_DELETED			(M_psos | 0x1201)
#define S_psos_LIBER_X_EXCHANGE_NOT_FOUND		(M_psos | 0x1202)
#define S_psos_LIBER_X_GROUP_VIOLATION			(M_psos | 0x1203)
#define S_psos_LIBER_X_NOT_ENOUGH_SYSTEM_MSG_BUFS	(M_psos | 0x1205)
#define S_psos_LIBER_X_EXCEEDS_MAX_MSG_QUEUE		(M_psos | 0x1206)
#define S_psos_LIBER_X_CANNOT_LIB_SPECIAL_MSGS		(M_psos | 0x1207)
#define S_psos_JAM_X_EXCHANGE_DELETED			(M_psos | 0x1301)
#define S_psos_JAM_X_EXCHANGE_NOT_FOUND			(M_psos | 0x1302)
#define S_psos_JAM_X_GROUP_VIOLATION			(M_psos | 0x1303)
#define S_psos_JAM_X_HOME_EXCHANGE_ERROR		(M_psos | 0x1304)
#define S_psos_JAM_X_NOT_ENOUGH_SYSTEM_MSG_BUFS		(M_psos | 0x1305)
#define S_psos_JAM_X_EXCEEDS_MAX_MSG_QUEUE		(M_psos | 0x1306)
#define S_psos_CREATE_X_OUT_OF_XCBS			(M_psos | 0x1401)
#define S_psos_ATTACH_X_EXCHANGE_NOT_FOUND		(M_psos | 0x1501)
#define S_psos_ATTACH_X_GROUP_VIOLATION			(M_psos | 0x1503)
#define S_psos_DELETE_X_EXCHANGE_DELETED		(M_psos | 0x1601)
#define S_psos_DELETE_X_EXCHANGE_NOT_FOUND		(M_psos | 0x1602)
#define S_psos_DELETE_X_GROUP_VIOLATION			(M_psos | 0x1603)
#define S_psos_DELETE_X_DELETED_WAITING_P_UNBLOCKED	(M_psos | 0x1680)
#define S_psos_DELETE_X_DELETED_WAITING_MSGS_RET	(M_psos | 0x1681)
#define S_psos_SEND_X_EXCHANGE_DELETED			(M_psos | 0x1701)
#define S_psos_SEND_X_EXCHANGE_NOT_FOUND		(M_psos | 0x1702)
#define S_psos_SEND_X_GROUP_VIOLATION			(M_psos | 0x1703)
#define S_psos_SEND_X_HOME_EXCHANGE_ERROR		(M_psos | 0x1704)
#define S_psos_SEND_X_OUT_OF_SYSTEM_MSG_BUFS		(M_psos | 0x1705)
#define S_psos_SEND_X_EXCEEDS_MAX_MSG_QUEUE		(M_psos | 0x1706)
#define S_psos_REQ_X_EXCHANGE_DELETED			(M_psos | 0x1801)
#define S_psos_REQ_X_EXCHANGE_NOT_FOUND			(M_psos | 0x1802)
#define S_psos_REQ_X_GROUP_VIOLATION			(M_psos | 0x1803)
#define S_psos_REQ_X_NO_MESSAGE				(M_psos | 0x1880)
#define S_psos_REQ_X_TIME_OUT				(M_psos | 0x1881)
#define S_psos_SIGNAL_TASK_DELETED			(M_psos | 0x1901)
#define S_psos_SIGNAL_TASK_NOT_FOUND			(M_psos | 0x1902)
#define S_psos_SIGNAL_GROUP_VIOLATION			(M_psos | 0x1903)
#define S_psos_WAIT_V_TIMED_OUT				(M_psos | 0x1a81)
#define S_psos_GET_V_CONDITION_NOT_MET			(M_psos | 0x1b80)
#define S_psos_GET_T_TIME_NOT_SET			(M_psos | 0x1e01)
#define S_psos_SET_T_DATE_PARAMETER_ERROR		(M_psos | 0x1f01)
#define S_psos_SET_T_TIME_PARAMETER_ERROR		(M_psos | 0x1f02)
#define S_psos_DELETE_PT_WRONG_BUF_SIZE			(M_psos | 0x2401)
#define S_psos_DELETE_PT_BUFS_IN_USE			(M_psos | 0x2402)
#define S_psos_GET_BUF_WRONG_BUF_SIZE			(M_psos | 0x2501)
#define S_psos_GET_BUF_PT_OUT_OF_BUFS			(M_psos | 0x2502)
#define S_psos_RET_BUF_WRONG_BUF_SIZE			(M_psos | 0x2601)
#define S_remLib_ALL_PORTS_IN_USE		(M_remLib | 1)
#define S_remLib_RSH_ERROR			(M_remLib | 2)
#define S_remLib_IDENTITY_TOO_BIG		(M_remLib | 3)
#define S_routeLib_ILLEGAL_INTERNET_ADDRESS		(M_routeLib | 1)
#define S_routeLib_ILLEGAL_NETWORK_NUMBER		(M_routeLib | 2)
#define S_rtLib_VOLUME_NOT_AVAILABLE		(M_rtLib | 1)
#define S_rtLib_DISK_FULL			(M_rtLib | 2)
#define S_rtLib_FILE_NOT_FOUND		(M_rtLib | 3)
#define S_rtLib_NO_FREE_FILE_DESCRIPTORS	(M_rtLib | 4)
#define S_rtLib_INVALID_NUMBER_OF_BYTES	(M_rtLib | 5)
#define S_rtLib_FILE_ALREADY_EXISTS		(M_rtLib | 6)
#define S_rtLib_BEYOND_FILE_LIMIT		(M_rtLib | 7)
#define S_rtLib_INVALID_DEVICE_PARAMETERS	(M_rtLib | 8)
#define S_rtLib_NO_MORE_FILES_ALLOWED_ON_DISK	(M_rtLib | 9)
#define	S_rtLib_ENTRY_NUMBER_TOO_BIG		(M_rtLib | 10)
#define S_sigLib_NO_HANDLER_FOR_SIGNAL		(M_sigLib | 1)
#define S_symLib_FULL_SYMBOL_TABLE	(M_symLib | 1)
#define S_symLib_SYMBOL_NOT_FOUND	(M_symLib | 2)
#define S_taskLib_NO_FREE_TASK_ID		(M_taskLib | 101)
#define S_taskLib_NAME_NOT_FOUND		(M_taskLib | 102)
#define S_taskLib_TASK_ID_ERROR			(M_taskLib | 103)
#define S_taskLib_TASK_HOOK_TABLE_FULL		(M_taskLib | 104)
#define S_taskLib_TASK_HOOK_NOT_FOUND		(M_taskLib | 105)
#define S_taskLib_TASK_VAR_NOT_FOUND		(M_taskLib | 106)
#define S_tyLib_SMPTE_READ_ERROR	(M_tyLib | 1)
#define S_usrLib_NOT_ENOUGH_ARGS	(M_usrLib | 1)
#define S_vrtx_TASK_ID_ERROR		(M_vrtx | 1)
#define S_vrtx_NO_TCBS_AVAILABLE	(M_vrtx | 2)
#define S_vrtx_NO_MEMORY_AVAILABLE	(M_vrtx | 3)
#define S_vrtx_NOT_A_MEMORY_BLOCK	(M_vrtx | 4)
#define S_vrtx_MAILBOX_IN_USE		(M_vrtx | 5)
#define S_vrtx_ZERO_MESSAGE		(M_vrtx | 6)
#define S_vrtx_BUFFER_FULL		(M_vrtx | 7)
#define S_vrtx_WAITC_IN_PROGRESS	(M_vrtx | 8)
#define S_vrtx_INVALID_SYSTEM_CALL	(M_vrtx | 9)
#define S_vrtx_TIMEOUT			(M_vrtx | 10)
#define S_vrtx_NO_MESSAGE_PRESENT	(M_vrtx | 11)
#define S_vrtx_QUEUE_ID_ERROR		(M_vrtx | 12)
#define S_vrtx_QUEUE_FULL		(M_vrtx | 13)
#define S_vrtx_PARTITION_ID_ERROR	(M_vrtx | 14)
#define S_vrtx_TASK_ID_ERROR		(M_vrtx | 1)
#define S_vrtx_NO_TCBS_AVAILABLE	(M_vrtx | 2)
#define S_vrtx_NO_MEMORY_AVAILABLE	(M_vrtx | 3)
#define S_vrtx_NOT_A_MEMORY_BLOCK	(M_vrtx | 4)
#define S_vrtx_MAILBOX_IN_USE		(M_vrtx | 5)
#define S_vrtx_ZERO_MESSAGE		(M_vrtx | 6)
#define S_vrtx_BUFFER_FULL		(M_vrtx | 7)
#define S_vrtx_WAITC_IN_PROGRESS	(M_vrtx | 8)
#define S_vrtx_INVALID_SYSTEM_CALL	(M_vrtx | 9)
#define S_vrtx_TIMEOUT			(M_vrtx | 10)
#define S_vrtx_NO_MESSAGE_PRESENT	(M_vrtx | 11)
#define S_vrtx_QUEUE_ID_ERROR		(M_vrtx | 12)
#define S_vrtx_QUEUE_FULL		(M_vrtx | 13)
#define S_vrtx_PARTITION_ID_ERROR	(M_vrtx | 14)
#define S_vrtx_INSUFFICIENT_WORKSPACE	(M_vrtx | 15)
#define S_vrtx_NO_CHARACTER_PRESENT	(M_vrtx | 16)
#define S_vrtx_INVALID_CONFIG_TAB_PARAM	(M_vrtx | 17)
#define S_vrtx_INVALID_INPUT_PARAMETER	(M_vrtx | 18)
#define S_vrtx_NO_COMPONENT_VECTOR_TAB	(M_vrtx | 32)
#define S_vrtx_UNDEFINED_COMPONENT	(M_vrtx | 33)
#define S_vrtx_UNDEFINED_OPCODE		(M_vrtx | 34)
#define S_vrtx_NO_CONTROL_BLOCKS_AVAIL	(M_vrtx | 48)
#define S_vrtx_SEMAPHORE_ID_ERROR	(M_vrtx | 49)
#define S_vrtx_TASKS_PENDING_ON_SEM	(M_vrtx | 50)
#define S_vrtx_SEMAPHORE_IS_DELETED	(M_vrtx | 51)
#define S_vrtx_SEMAPHORE_OVERFLOW	(M_vrtx | 52)
#define S_wind_TASK_ID_ERROR		(M_taskLib | 1)
#define	EPERM		1		/* Not owner */
#define	ENOENT		2		/* No such file or directory */
#define	ESRCH		3		/* No such process */
#define	EINTR		4		/* Interrupted system call */
#define	EIO		5		/* I/O error */
#define	ENXIO		6		/* No such device or address */
#define	E2BIG		7		/* Arg list too long */
#define	ENOEXEC		8		/* Exec format error */
#define	EBADF		9		/* Bad file number */
#define	ECHILD		10		/* No children */
#define	EAGAIN		11		/* No more processes */
#define	ENOMEM		12		/* Not enough core */
#define	EACCES		13		/* Permission denied */
#define	EFAULT		14		/* Bad address */
#define	ENOTBLK		15		/* Block device required */
#define	EBUSY		16		/* Mount device busy */
#define	EEXIST		17		/* File exists */
#define	EXDEV		18		/* Cross-device link */
#define	ENODEV		19		/* No such device */
#define	ENOTDIR		20		/* Not a directory*/
#define	EISDIR		21		/* Is a directory */
#define	EINVAL		22		/* Invalid argument */
#define	ENFILE		23		/* File table overflow */
#define	EMFILE		24		/* Too many open files */
#define	ENOTTY		25		/* Not a typewriter */
#define	ETXTBSY		26		/* Text file busy */
#define	EFBIG		27		/* File too large */
#define	ENOSPC		28		/* No space left on device */
#define	ESPIPE		29		/* Illegal seek */
#define	EROFS		30		/* Read-only file system */
#define	EMLINK		31		/* Too many links */
#define	EPIPE		32		/* Broken pipe */
#define	EDOM		33		/* Argument too large */
#define	ERANGE		34		/* Result too large */
#define	EWOULDBLOCK	35		/* Operation would block */
#define	EDEADLK		EWOULDBLOCK	/* ditto */
#define	EINPROGRESS	36		/* Operation now in progress */
#define	EALREADY	37		/* Operation already in progress */
#define	ENOTSOCK	38		/* Socket operation on non-socket */
#define	EDESTADDRREQ	39		/* Destination address required */
#define	EMSGSIZE	40		/* Message too long */
#define	EPROTOTYPE	41		/* Protocol wrong type for socket */
#define	ENOPROTOOPT	42		/* Protocol not available */
#define	EPROTONOSUPPORT	43		/* Protocol not supported */
#define	ESOCKTNOSUPPORT	44		/* Socket type not supported */
#define	EOPNOTSUPP	45		/* Operation not supported on socket */
#define	EPFNOSUPPORT	46		/* Protocol family not supported */
#define	EAFNOSUPPORT	47		/* Address family not supported by protocol family */
#define	EADDRINUSE	48		/* Address already in use */
#define	EADDRNOTAVAIL	49		/* Can't assign requested address */
#define	ENETDOWN	50		/* Network is down */
#define	ENETUNREACH	51		/* Network is unreachable */
#define	ENETRESET	52		/* Network dropped connection on reset */
#define	ECONNABORTED	53		/* Software caused connection abort */
#define	ECONNRESET	54		/* Connection reset by peer */
#define	ENOBUFS		55		/* No buffer space available */
#define	EISCONN		56		/* Socket is already connected */
#define	ENOTCONN	57		/* Socket is not connected */
#define	ESHUTDOWN	58		/* Can't send after socket shutdown */
#define	ETOOMANYREFS	59		/* Too many references: can't splice */
#define	ETIMEDOUT	60		/* Connection timed out */
#define	ECONNREFUSED	61		/* Connection refused */
#define	ELOOP		62		/* Too many levels of symbolic links */
#define	ENAMETOOLONG	63		/* File name too long */
#define	EHOSTDOWN	64		/* Host is down */
#define	EHOSTUNREACH	65		/* No route to host */
#define	ENOTEMPTY	66		/* Directory not empty */
#define	EPROCLIM	67		/* Too many processes */
#define	EUSERS		68		/* Too many users */
#define	EDQUOT		69		/* Disc quota exceeded */

LOCAL SYMBOL symbols[] =
    {
    {"S_errno_EPERM", (char *) (M_errno | EPERM), 0},
    {"S_errno_ENOENT", (char *) (M_errno | ENOENT), 0},
    {"S_errno_ESRCH", (char *) (M_errno | ESRCH), 0},
    {"S_errno_EINTR", (char *) (M_errno | EINTR), 0},
    {"S_errno_EIO", (char *) (M_errno | EIO), 0},
    {"S_errno_ENXIO", (char *) (M_errno | ENXIO), 0},
    {"S_errno_E2BIG", (char *) (M_errno | E2BIG), 0},
    {"S_errno_ENOEXEC", (char *) (M_errno | ENOEXEC), 0},
    {"S_errno_EBADF", (char *) (M_errno | EBADF), 0},
    {"S_errno_ECHILD", (char *) (M_errno | ECHILD), 0},
    {"S_errno_EAGAIN", (char *) (M_errno | EAGAIN), 0},
    {"S_errno_ENOMEM", (char *) (M_errno | ENOMEM), 0},
    {"S_errno_EACCES", (char *) (M_errno | EACCES), 0},
    {"S_errno_EFAULT", (char *) (M_errno | EFAULT), 0},
    {"S_errno_ENOTBLK", (char *) (M_errno | ENOTBLK), 0},
    {"S_errno_EBUSY", (char *) (M_errno | EBUSY), 0},
    {"S_errno_EEXIST", (char *) (M_errno | EEXIST), 0},
    {"S_errno_EXDEV", (char *) (M_errno | EXDEV), 0},
    {"S_errno_ENODEV", (char *) (M_errno | ENODEV), 0},
    {"S_errno_ENOTDIR", (char *) (M_errno | ENOTDIR), 0},
    {"S_errno_EISDIR", (char *) (M_errno | EISDIR), 0},
    {"S_errno_EINVAL", (char *) (M_errno | EINVAL), 0},
    {"S_errno_ENFILE", (char *) (M_errno | ENFILE), 0},
    {"S_errno_EMFILE", (char *) (M_errno | EMFILE), 0},
    {"S_errno_ENOTTY", (char *) (M_errno | ENOTTY), 0},
    {"S_errno_ETXTBSY", (char *) (M_errno | ETXTBSY), 0},
    {"S_errno_EFBIG", (char *) (M_errno | EFBIG), 0},
    {"S_errno_ENOSPC", (char *) (M_errno | ENOSPC), 0},
    {"S_errno_ESPIPE", (char *) (M_errno | ESPIPE), 0},
    {"S_errno_EROFS", (char *) (M_errno | EROFS), 0},
    {"S_errno_EMLINK", (char *) (M_errno | EMLINK), 0},
    {"S_errno_EPIPE", (char *) (M_errno | EPIPE), 0},
    {"S_errno_EDOM", (char *) (M_errno | EDOM), 0},
    {"S_errno_ERANGE", (char *) (M_errno | ERANGE), 0},
    {"S_errno_EWOULDBLOCK", (char *) (M_errno | EWOULDBLOCK), 0},
    {"S_errno_EDEADLK", (char *) (M_errno | EDEADLK), 0},
    {"S_errno_EINPROGRESS", (char *) (M_errno | EINPROGRESS), 0},
    {"S_errno_EALREADY", (char *) (M_errno | EALREADY), 0},
    {"S_errno_ENOTSOCK", (char *) (M_errno | ENOTSOCK), 0},
    {"S_errno_EDESTADDRREQ", (char *) (M_errno | EDESTADDRREQ), 0},
    {"S_errno_EMSGSIZE", (char *) (M_errno | EMSGSIZE), 0},
    {"S_errno_EPROTOTYPE", (char *) (M_errno | EPROTOTYPE), 0},
    {"S_errno_ENOPROTOOPT", (char *) (M_errno | ENOPROTOOPT), 0},
    {"S_errno_EPROTONOSUPPORT", (char *) (M_errno | EPROTONOSUPPORT), 0},
    {"S_errno_ESOCKTNOSUPPORT", (char *) (M_errno | ESOCKTNOSUPPORT), 0},
    {"S_errno_EOPNOTSUPP", (char *) (M_errno | EOPNOTSUPP), 0},
    {"S_errno_EPFNOSUPPORT", (char *) (M_errno | EPFNOSUPPORT), 0},
    {"S_errno_EAFNOSUPPORT", (char *) (M_errno | EAFNOSUPPORT), 0},
    {"S_errno_EADDRINUSE", (char *) (M_errno | EADDRINUSE), 0},
    {"S_errno_EADDRNOTAVAIL", (char *) (M_errno | EADDRNOTAVAIL), 0},
    {"S_errno_ENETDOWN", (char *) (M_errno | ENETDOWN), 0},
    {"S_errno_ENETUNREACH", (char *) (M_errno | ENETUNREACH), 0},
    {"S_errno_ENETRESET", (char *) (M_errno | ENETRESET), 0},
    {"S_errno_ECONNABORTED", (char *) (M_errno | ECONNABORTED), 0},
    {"S_errno_ECONNRESET", (char *) (M_errno | ECONNRESET), 0},
    {"S_errno_ENOBUFS", (char *) (M_errno | ENOBUFS), 0},
    {"S_errno_EISCONN", (char *) (M_errno | EISCONN), 0},
    {"S_errno_ENOTCONN", (char *) (M_errno | ENOTCONN), 0},
    {"S_errno_ESHUTDOWN", (char *) (M_errno | ESHUTDOWN), 0},
    {"S_errno_ETOOMANYREFS", (char *) (M_errno | ETOOMANYREFS), 0},
    {"S_errno_ETIMEDOUT", (char *) (M_errno | ETIMEDOUT), 0},
    {"S_errno_ECONNREFUSED", (char *) (M_errno | ECONNREFUSED), 0},
    {"S_errno_ELOOP", (char *) (M_errno | ELOOP), 0},
    {"S_errno_ENAMETOOLONG", (char *) (M_errno | ENAMETOOLONG), 0},
    {"S_errno_EHOSTDOWN", (char *) (M_errno | EHOSTDOWN), 0},
    {"S_errno_EHOSTUNREACH", (char *) (M_errno | EHOSTUNREACH), 0},
    {"S_errno_ENOTEMPTY", (char *) (M_errno | ENOTEMPTY), 0},
    {"S_errno_EPROCLIM", (char *) (M_errno | EPROCLIM), 0},
    {"S_errno_EUSERS", (char *) (M_errno | EUSERS), 0},
    {"S_errno_EDQUOT", (char *) (M_errno | EDQUOT), 0},
    {"S_NEWFCN", (char *) S_NEWFCN, 0},
    {"S_SHRSEG", (char *) S_SHRSEG, 0},
    {"S_dsmLib_UNKNOWN_INSTRUCTION", (char *) S_dsmLib_UNKNOWN_INSTRUCTION, 0},
    {"S_errnoLib_INT_NEST_TOO_DEEP", (char *) S_errnoLib_INT_NEST_TOO_DEEP, 0},
    {"S_fioLib_UNEXPECTED_EOF", (char *) S_fioLib_UNEXPECTED_EOF, 0},
    {"S_hostLib_UNKNOWN_HOST", (char *) S_hostLib_UNKNOWN_HOST, 0},
    {"S_hostLib_HOST_ALREADY_ENTERED", (char *) S_hostLib_HOST_ALREADY_ENTERED, 0},
    {"S_inetLib_ILLEGAL_INTERNET_ADDRESS", (char *) S_inetLib_ILLEGAL_INTERNET_ADDRESS, 0},
    {"S_inetLib_ILLEGAL_NETWORK_NUMBER", (char *) S_inetLib_ILLEGAL_NETWORK_NUMBER, 0},
    {"S_ioLib_NO_DRIVER", (char *) S_ioLib_NO_DRIVER, 0},
    {"S_ioLib_UNKNOWN_REQUEST", (char *) S_ioLib_UNKNOWN_REQUEST, 0},
    {"S_ioLib_DEVICE_ERROR", (char *) S_ioLib_DEVICE_ERROR, 0},
    {"S_ioLib_DEVICE_TIMEOUT", (char *) S_ioLib_DEVICE_TIMEOUT, 0},
    {"S_ioLib_WRITE_PROTECTED", (char *) S_ioLib_WRITE_PROTECTED, 0},
    {"S_ioLib_DISK_NOT_PRESENT", (char *) S_ioLib_DISK_NOT_PRESENT, 0},
    {"S_ioLib_NO_FILENAME", (char *) S_ioLib_NO_FILENAME, 0},
    {"S_ioLib_CANCELED", (char *) S_ioLib_CANCELED, 0},
    {"S_ioLib_NO_DEVICE_NAME_IN_PATH", (char *) S_ioLib_NO_DEVICE_NAME_IN_PATH, 0},
    {"S_iosLib_DEVICE_NOT_FOUND", (char *) S_iosLib_DEVICE_NOT_FOUND, 0},
    {"S_iosLib_DRIVER_GLUT", (char *) S_iosLib_DRIVER_GLUT, 0},
    {"S_iosLib_INVALID_FILE_DESCRIPTOR", (char *) S_iosLib_INVALID_FILE_DESCRIPTOR, 0},
    {"S_iosLib_TOO_MANY_OPEN_FILES", (char *) S_iosLib_TOO_MANY_OPEN_FILES, 0},
    {"S_iosLib_CONTROLLER_NOT_PRESENT", (char *) S_iosLib_CONTROLLER_NOT_PRESENT, 0},
    {"S_iosLib_DUPLICATE_DEVICE_NAME", (char *) S_iosLib_DUPLICATE_DEVICE_NAME, 0},
    {"S_ldLib_TOO_MANY_SYMBOLS", (char *) S_ldLib_TOO_MANY_SYMBOLS, 0},
    {"S_memLib_NOT_ENOUGH_MEMORY", (char *) S_memLib_NOT_ENOUGH_MEMORY, 0},
    {"S_memLib_INVALID_NBYTES", (char *) S_memLib_INVALID_NBYTES, 0},
    {"S_memLib_BLOCK_ERROR", (char *) S_memLib_BLOCK_ERROR, 0},
    {"S_netDrv_INVALID_NUMBER_OF_BYTES", (char *) S_netDrv_INVALID_NUMBER_OF_BYTES, 0},
    {"S_netDrv_SEND_ERROR", (char *) S_netDrv_SEND_ERROR, 0},
    {"S_netDrv_RECV_ERROR", (char *) S_netDrv_RECV_ERROR, 0},
    {"S_netDrv_UNKNOWN_REQUEST", (char *) S_netDrv_UNKNOWN_REQUEST, 0},
    {"S_netDrv_BAD_SEEK", (char *) S_netDrv_BAD_SEEK, 0},
    {"S_netDrv_SEEK_PAST_EOF_ERROR", (char *) S_netDrv_SEEK_PAST_EOF_ERROR, 0},
    {"S_netDrv_BAD_EOF_POSITION", (char *) S_netDrv_BAD_EOF_POSITION, 0},
    {"S_netDrv_SEEK_FATAL_ERROR", (char *) S_netDrv_SEEK_FATAL_ERROR, 0},
    {"S_netDrv_WRITE_ONLY_CANNOT_READ", (char *) S_netDrv_WRITE_ONLY_CANNOT_READ, 0},
    {"S_netDrv_READ_ONLY_CANNOT_WRITE", (char *) S_netDrv_READ_ONLY_CANNOT_WRITE, 0},
    {"S_netDrv_READ_ERROR", (char *) S_netDrv_READ_ERROR, 0},
    {"S_netDrv_WRITE_ERROR", (char *) S_netDrv_WRITE_ERROR, 0},
    {"S_netDrv_NO_SUCH_FILE_OR_DIR", (char *) S_netDrv_NO_SUCH_FILE_OR_DIR, 0},
    {"S_netDrv_PERMISSION_DENIED", (char *) S_netDrv_PERMISSION_DENIED, 0},
    {"S_netDrv_IS_A_DIRECTORY", (char *) S_netDrv_IS_A_DIRECTORY, 0},
    {"S_netDrv_UNIX_FILE_ERROR", (char *) S_netDrv_UNIX_FILE_ERROR, 0},
    {"S_nfsDrv_INVALID_NUMBER_OF_BYTES", (char *) S_nfsDrv_INVALID_NUMBER_OF_BYTES, 0},
    {"S_nfsDrv_BAD_FLAG_MODE", (char *) S_nfsDrv_BAD_FLAG_MODE, 0},
    {"S_nfsDrv_CREATE_NO_FILE_NAME", (char *) S_nfsDrv_CREATE_NO_FILE_NAME, 0},
    {"S_nfsDrv_UNKNOWN_REQUEST", (char *) S_nfsDrv_UNKNOWN_REQUEST, 0},
    {"S_nfsDrv_FATAL_ERR_FLUSH_INVALID_CACHE", (char *) S_nfsDrv_FATAL_ERR_FLUSH_INVALID_CACHE, 0},
    {"S_nfsDrv_WRITE_ONLY_CANNOT_READ", (char *) S_nfsDrv_WRITE_ONLY_CANNOT_READ, 0},
    {"S_nfsDrv_READ_ONLY_CANNOT_WRITE", (char *) S_nfsDrv_READ_ONLY_CANNOT_WRITE, 0},
    {"S_nfsDrv_NOT_AN_NFS_DEVICE", (char *) S_nfsDrv_NOT_AN_NFS_DEVICE, 0},
    {"S_nfsDrv_NO_HOST_NAME_SPECIFIED", (char *) S_nfsDrv_NO_HOST_NAME_SPECIFIED, 0},
    {"S_nfsLib_NFS_AUTH_UNIX_FAILED", (char *) S_nfsLib_NFS_AUTH_UNIX_FAILED, 0},
    {"S_nfsLib_NFS_INAPPLICABLE_FILE_TYPE", (char *) S_nfsLib_NFS_INAPPLICABLE_FILE_TYPE, 0},
    {"S_nfsLib_NFS_OK", (char *) S_nfsLib_NFS_OK, 0},
    {"S_nfsLib_NFSERR_PERM", (char *) S_nfsLib_NFSERR_PERM, 0},
    {"S_nfsLib_NFSERR_NOENT", (char *) S_nfsLib_NFSERR_NOENT, 0},
    {"S_nfsLib_NFSERR_IO", (char *) S_nfsLib_NFSERR_IO, 0},
    {"S_nfsLib_NFSERR_NXIO", (char *) S_nfsLib_NFSERR_NXIO, 0},
    {"S_nfsLib_NFSERR_ACCES", (char *) S_nfsLib_NFSERR_ACCES, 0},
    {"S_nfsLib_NFSERR_EXIST", (char *) S_nfsLib_NFSERR_EXIST, 0},
    {"S_nfsLib_NFSERR_NODEV", (char *) S_nfsLib_NFSERR_NODEV, 0},
    {"S_nfsLib_NFSERR_NOTDIR", (char *) S_nfsLib_NFSERR_NOTDIR, 0},
    {"S_nfsLib_NFSERR_ISDIR", (char *) S_nfsLib_NFSERR_ISDIR, 0},
    {"S_nfsLib_NFSERR_FBIG", (char *) S_nfsLib_NFSERR_FBIG, 0},
    {"S_nfsLib_NFSERR_NOSPC", (char *) S_nfsLib_NFSERR_NOSPC, 0},
    {"S_nfsLib_NFSERR_ROFS", (char *) S_nfsLib_NFSERR_ROFS, 0},
    {"S_nfsLib_NFSERR_NAMETOOLONG", (char *) S_nfsLib_NFSERR_NAMETOOLONG, 0},
    {"S_nfsLib_NFSERR_NOTEMPTY", (char *) S_nfsLib_NFSERR_NOTEMPTY, 0},
    {"S_nfsLib_NFSERR_DQUOT", (char *) S_nfsLib_NFSERR_DQUOT, 0},
    {"S_nfsLib_NFSERR_STALE", (char *) S_nfsLib_NFSERR_STALE, 0},
    {"S_nfsLib_NFSERR_WFLUSH", (char *) S_nfsLib_NFSERR_WFLUSH, 0},
    {"S_pasLib_BAD_FILENAME", (char *) S_pasLib_BAD_FILENAME, 0},
    {"S_pasLib_BAD_FILEVARIABLE", (char *) S_pasLib_BAD_FILEVARIABLE, 0},
    {"S_pasLib_FILE_NOT_OPEN", (char *) S_pasLib_FILE_NOT_OPEN, 0},
    {"S_pasLib_FILE_READ_ONLY", (char *) S_pasLib_FILE_READ_ONLY, 0},
    {"S_pasLib_FILE_WRT_ONLY", (char *) S_pasLib_FILE_WRT_ONLY, 0},
    {"S_pasLib_FILE_OPEN_ERR", (char *) S_pasLib_FILE_OPEN_ERR, 0},
    {"S_pasLib_FILE_REC_ERR", (char *) S_pasLib_FILE_REC_ERR, 0},
    {"S_pasLib_UNDEF_FILE_VAR", (char *) S_pasLib_UNDEF_FILE_VAR, 0},
    {"S_pasLib_INPUT_ERR", (char *) S_pasLib_INPUT_ERR, 0},
    {"S_pasLib_FORMAT_ERR", (char *) S_pasLib_FORMAT_ERR, 0},
    {"S_pasLib_EOF", (char *) S_pasLib_EOF, 0},
    {"S_pasLib_BUF_VAR_ERR", (char *) S_pasLib_BUF_VAR_ERR, 0},
    {"S_pasLib_NEG_OR_0_ERR", (char *) S_pasLib_NEG_OR_0_ERR, 0},
    {"S_pasLib_NEW_ERR", (char *) S_pasLib_NEW_ERR, 0},
    {"S_pasLib_DISPOSE_ERR", (char *) S_pasLib_DISPOSE_ERR, 0},
    {"S_psos_SPAWN_P_NO_PCBS_AVAILABLE", (char *) S_psos_SPAWN_P_NO_PCBS_AVAILABLE, 0},
    {"S_psos_SPAWN_P_CANNOT_ALLOCATE_STACK", (char *) S_psos_SPAWN_P_CANNOT_ALLOCATE_STACK, 0},
    {"S_psos_SPAWN_P_STACK_CANNOT_HOLD_ARGLIST", (char *) S_psos_SPAWN_P_STACK_CANNOT_HOLD_ARGLIST, 0},
    {"S_psos_SPAWN_P_PRIORITY_ZERO_RESERVED", (char *) S_psos_SPAWN_P_PRIORITY_ZERO_RESERVED, 0},
    {"S_psos_ACTIVATE_P_PROCESS_DELETED", (char *) S_psos_ACTIVATE_P_PROCESS_DELETED, 0},
    {"S_psos_ACTIVATE_P_TASK_ID_NOT_FOUND", (char *) S_psos_ACTIVATE_P_TASK_ID_NOT_FOUND, 0},
    {"S_psos_ACTIVATE_P_NOT_IN_SAME_GROUP", (char *) S_psos_ACTIVATE_P_NOT_IN_SAME_GROUP, 0},
    {"S_psos_ACTIVATE_P_ALREADY_ACTIVATED", (char *) S_psos_ACTIVATE_P_ALREADY_ACTIVATED, 0},
    {"S_psos_IDENT_P_NAME_NOT_FOUND", (char *) S_psos_IDENT_P_NAME_NOT_FOUND, 0},
    {"S_psos_DELETE_P_ALREADY_DELETED", (char *) S_psos_DELETE_P_ALREADY_DELETED, 0},
    {"S_psos_DELETE_P_TASK_ID_NOT_FOUND", (char *) S_psos_DELETE_P_TASK_ID_NOT_FOUND, 0},
    {"S_psos_DELETE_P_GROUP_VIOLATION", (char *) S_psos_DELETE_P_GROUP_VIOLATION, 0},
    {"S_psos_DELETE_P_FILES_OPEN", (char *) S_psos_DELETE_P_FILES_OPEN, 0},
    {"S_psos_SUSPEND_P_PROCESS_DELETED", (char *) S_psos_SUSPEND_P_PROCESS_DELETED, 0},
    {"S_psos_SUSPEND_P_TASK_ID_NOT_FOUND", (char *) S_psos_SUSPEND_P_TASK_ID_NOT_FOUND, 0},
    {"S_psos_SUSPEND_P_GROUP_VIOLATION", (char *) S_psos_SUSPEND_P_GROUP_VIOLATION, 0},
    {"S_psos_SUSPEND_P_ALREADY_SUSPENDED", (char *) S_psos_SUSPEND_P_ALREADY_SUSPENDED, 0},
    {"S_psos_RESUME_P_PROCESS_DELETED", (char *) S_psos_RESUME_P_PROCESS_DELETED, 0},
    {"S_psos_RESUME_P_TASK_ID_NOT_FOUND", (char *) S_psos_RESUME_P_TASK_ID_NOT_FOUND, 0},
    {"S_psos_RESUME_P_GROUP_VIOLATION", (char *) S_psos_RESUME_P_GROUP_VIOLATION, 0},
    {"S_psos_RESUME_P_PROCESS_NOT_SUSPENDED", (char *) S_psos_RESUME_P_PROCESS_NOT_SUSPENDED, 0},
    {"S_psos_PRIORITY_P_PROCESS_DELETED", (char *) S_psos_PRIORITY_P_PROCESS_DELETED, 0},
    {"S_psos_PRIORITY_P_TASK_ID_NOT_FOUND", (char *) S_psos_PRIORITY_P_TASK_ID_NOT_FOUND, 0},
    {"S_psos_PRIORITY_P_GROUP_VIOLATION", (char *) S_psos_PRIORITY_P_GROUP_VIOLATION, 0},
    {"S_psos_PRIORITY_P_OVERFLOW", (char *) S_psos_PRIORITY_P_OVERFLOW, 0},
    {"S_psos_PRIORITY_P_UNDERFLOW", (char *) S_psos_PRIORITY_P_UNDERFLOW, 0},
    {"S_psos_ALLOC_SEG_PARAMETRIC_ERROR", (char *) S_psos_ALLOC_SEG_PARAMETRIC_ERROR, 0},
    {"S_psos_ALLOC_SEG_NO_FREE_SEG", (char *) S_psos_ALLOC_SEG_NO_FREE_SEG, 0},
    {"S_psos_ALLOC_SEG_TIMED_OUT", (char *) S_psos_ALLOC_SEG_TIMED_OUT, 0},
    {"S_psos_FREE_SEG_NOT_OWNER", (char *) S_psos_FREE_SEG_NOT_OWNER, 0},
    {"S_psos_FREE_SEG_BAD_ADDRESS", (char *) S_psos_FREE_SEG_BAD_ADDRESS, 0},
    {"S_psos_ASSIGN_SEG_NOT_OWNER", (char *) S_psos_ASSIGN_SEG_NOT_OWNER, 0},
    {"S_psos_ASSIGN_SEG_TASK_NOT_FOUND", (char *) S_psos_ASSIGN_SEG_TASK_NOT_FOUND, 0},
    {"S_psos_ASSIGN_SEG_GROUP_VIOLATION", (char *) S_psos_ASSIGN_SEG_GROUP_VIOLATION, 0},
    {"S_psos_ASSIGN_SEG_BAD_ADDRESS", (char *) S_psos_ASSIGN_SEG_BAD_ADDRESS, 0},
    {"S_psos_GRAB_SEG_NOT_OWNER", (char *) S_psos_GRAB_SEG_NOT_OWNER, 0},
    {"S_psos_GRAB_TASK_NOT_FOUND", (char *) S_psos_GRAB_TASK_NOT_FOUND, 0},
    {"S_psos_GRAB_GROUP_VIOLATION", (char *) S_psos_GRAB_GROUP_VIOLATION, 0},
    {"S_psos_GRAB_BAD_ADDRESS", (char *) S_psos_GRAB_BAD_ADDRESS, 0},
    {"S_psos_LIBER_X_EXCHANGE_DELETED", (char *) S_psos_LIBER_X_EXCHANGE_DELETED, 0},
    {"S_psos_LIBER_X_EXCHANGE_NOT_FOUND", (char *) S_psos_LIBER_X_EXCHANGE_NOT_FOUND, 0},
    {"S_psos_LIBER_X_GROUP_VIOLATION", (char *) S_psos_LIBER_X_GROUP_VIOLATION, 0},
    {"S_psos_LIBER_X_NOT_ENOUGH_SYSTEM_MSG_BUFS", (char *) S_psos_LIBER_X_NOT_ENOUGH_SYSTEM_MSG_BUFS, 0},
    {"S_psos_LIBER_X_EXCEEDS_MAX_MSG_QUEUE", (char *) S_psos_LIBER_X_EXCEEDS_MAX_MSG_QUEUE, 0},
    {"S_psos_LIBER_X_CANNOT_LIB_SPECIAL_MSGS", (char *) S_psos_LIBER_X_CANNOT_LIB_SPECIAL_MSGS, 0},
    {"S_psos_JAM_X_EXCHANGE_DELETED", (char *) S_psos_JAM_X_EXCHANGE_DELETED, 0},
    {"S_psos_JAM_X_EXCHANGE_NOT_FOUND", (char *) S_psos_JAM_X_EXCHANGE_NOT_FOUND, 0},
    {"S_psos_JAM_X_GROUP_VIOLATION", (char *) S_psos_JAM_X_GROUP_VIOLATION, 0},
    {"S_psos_JAM_X_HOME_EXCHANGE_ERROR", (char *) S_psos_JAM_X_HOME_EXCHANGE_ERROR, 0},
    {"S_psos_JAM_X_NOT_ENOUGH_SYSTEM_MSG_BUFS", (char *) S_psos_JAM_X_NOT_ENOUGH_SYSTEM_MSG_BUFS, 0},
    {"S_psos_JAM_X_EXCEEDS_MAX_MSG_QUEUE", (char *) S_psos_JAM_X_EXCEEDS_MAX_MSG_QUEUE, 0},
    {"S_psos_CREATE_X_OUT_OF_XCBS", (char *) S_psos_CREATE_X_OUT_OF_XCBS, 0},
    {"S_psos_ATTACH_X_EXCHANGE_NOT_FOUND", (char *) S_psos_ATTACH_X_EXCHANGE_NOT_FOUND, 0},
    {"S_psos_ATTACH_X_GROUP_VIOLATION", (char *) S_psos_ATTACH_X_GROUP_VIOLATION, 0},
    {"S_psos_DELETE_X_EXCHANGE_DELETED", (char *) S_psos_DELETE_X_EXCHANGE_DELETED, 0},
    {"S_psos_DELETE_X_EXCHANGE_NOT_FOUND", (char *) S_psos_DELETE_X_EXCHANGE_NOT_FOUND, 0},
    {"S_psos_DELETE_X_GROUP_VIOLATION", (char *) S_psos_DELETE_X_GROUP_VIOLATION, 0},
    {"S_psos_DELETE_X_DELETED_WAITING_P_UNBLOCKED", (char *) S_psos_DELETE_X_DELETED_WAITING_P_UNBLOCKED, 0},
    {"S_psos_DELETE_X_DELETED_WAITING_MSGS_RET", (char *) S_psos_DELETE_X_DELETED_WAITING_MSGS_RET, 0},
    {"S_psos_SEND_X_EXCHANGE_DELETED", (char *) S_psos_SEND_X_EXCHANGE_DELETED, 0},
    {"S_psos_SEND_X_EXCHANGE_NOT_FOUND", (char *) S_psos_SEND_X_EXCHANGE_NOT_FOUND, 0},
    {"S_psos_SEND_X_GROUP_VIOLATION", (char *) S_psos_SEND_X_GROUP_VIOLATION, 0},
    {"S_psos_SEND_X_HOME_EXCHANGE_ERROR", (char *) S_psos_SEND_X_HOME_EXCHANGE_ERROR, 0},
    {"S_psos_SEND_X_OUT_OF_SYSTEM_MSG_BUFS", (char *) S_psos_SEND_X_OUT_OF_SYSTEM_MSG_BUFS, 0},
    {"S_psos_SEND_X_EXCEEDS_MAX_MSG_QUEUE", (char *) S_psos_SEND_X_EXCEEDS_MAX_MSG_QUEUE, 0},
    {"S_psos_REQ_X_EXCHANGE_DELETED", (char *) S_psos_REQ_X_EXCHANGE_DELETED, 0},
    {"S_psos_REQ_X_EXCHANGE_NOT_FOUND", (char *) S_psos_REQ_X_EXCHANGE_NOT_FOUND, 0},
    {"S_psos_REQ_X_GROUP_VIOLATION", (char *) S_psos_REQ_X_GROUP_VIOLATION, 0},
    {"S_psos_REQ_X_NO_MESSAGE", (char *) S_psos_REQ_X_NO_MESSAGE, 0},
    {"S_psos_REQ_X_TIME_OUT", (char *) S_psos_REQ_X_TIME_OUT, 0},
    {"S_psos_SIGNAL_TASK_DELETED", (char *) S_psos_SIGNAL_TASK_DELETED, 0},
    {"S_psos_SIGNAL_TASK_NOT_FOUND", (char *) S_psos_SIGNAL_TASK_NOT_FOUND, 0},
    {"S_psos_SIGNAL_GROUP_VIOLATION", (char *) S_psos_SIGNAL_GROUP_VIOLATION, 0},
    {"S_psos_WAIT_V_TIMED_OUT", (char *) S_psos_WAIT_V_TIMED_OUT, 0},
    {"S_psos_GET_V_CONDITION_NOT_MET", (char *) S_psos_GET_V_CONDITION_NOT_MET, 0},
    {"S_psos_GET_T_TIME_NOT_SET", (char *) S_psos_GET_T_TIME_NOT_SET, 0},
    {"S_psos_SET_T_DATE_PARAMETER_ERROR", (char *) S_psos_SET_T_DATE_PARAMETER_ERROR, 0},
    {"S_psos_SET_T_TIME_PARAMETER_ERROR", (char *) S_psos_SET_T_TIME_PARAMETER_ERROR, 0},
    {"S_psos_DELETE_PT_WRONG_BUF_SIZE", (char *) S_psos_DELETE_PT_WRONG_BUF_SIZE, 0},
    {"S_psos_DELETE_PT_BUFS_IN_USE", (char *) S_psos_DELETE_PT_BUFS_IN_USE, 0},
    {"S_psos_GET_BUF_WRONG_BUF_SIZE", (char *) S_psos_GET_BUF_WRONG_BUF_SIZE, 0},
    {"S_psos_GET_BUF_PT_OUT_OF_BUFS", (char *) S_psos_GET_BUF_PT_OUT_OF_BUFS, 0},
    {"S_psos_RET_BUF_WRONG_BUF_SIZE", (char *) S_psos_RET_BUF_WRONG_BUF_SIZE, 0},
    {"S_remLib_ALL_PORTS_IN_USE", (char *) S_remLib_ALL_PORTS_IN_USE, 0},
    {"S_remLib_RSH_ERROR", (char *) S_remLib_RSH_ERROR, 0},
    {"S_remLib_IDENTITY_TOO_BIG", (char *) S_remLib_IDENTITY_TOO_BIG, 0},
    {"S_routeLib_ILLEGAL_INTERNET_ADDRESS", (char *) S_routeLib_ILLEGAL_INTERNET_ADDRESS, 0},
    {"S_routeLib_ILLEGAL_NETWORK_NUMBER", (char *) S_routeLib_ILLEGAL_NETWORK_NUMBER, 0},
    {"S_rtLib_VOLUME_NOT_AVAILABLE", (char *) S_rtLib_VOLUME_NOT_AVAILABLE, 0},
    {"S_rtLib_DISK_FULL", (char *) S_rtLib_DISK_FULL, 0},
    {"S_rtLib_FILE_NOT_FOUND", (char *) S_rtLib_FILE_NOT_FOUND, 0},
    {"S_rtLib_NO_FREE_FILE_DESCRIPTORS", (char *) S_rtLib_NO_FREE_FILE_DESCRIPTORS, 0},
    {"S_rtLib_INVALID_NUMBER_OF_BYTES", (char *) S_rtLib_INVALID_NUMBER_OF_BYTES, 0},
    {"S_rtLib_FILE_ALREADY_EXISTS", (char *) S_rtLib_FILE_ALREADY_EXISTS, 0},
    {"S_rtLib_BEYOND_FILE_LIMIT", (char *) S_rtLib_BEYOND_FILE_LIMIT, 0},
    {"S_rtLib_INVALID_DEVICE_PARAMETERS", (char *) S_rtLib_INVALID_DEVICE_PARAMETERS, 0},
    {"S_rtLib_NO_MORE_FILES_ALLOWED_ON_DISK", (char *) S_rtLib_NO_MORE_FILES_ALLOWED_ON_DISK, 0},
    {"S_rtLib_ENTRY_NUMBER_TOO_BIG", (char *) S_rtLib_ENTRY_NUMBER_TOO_BIG, 0},
    {"S_sigLib_NO_HANDLER_FOR_SIGNAL", (char *) S_sigLib_NO_HANDLER_FOR_SIGNAL, 0},
    {"S_symLib_FULL_SYMBOL_TABLE", (char *) S_symLib_FULL_SYMBOL_TABLE, 0},
    {"S_symLib_SYMBOL_NOT_FOUND", (char *) S_symLib_SYMBOL_NOT_FOUND, 0},
    {"S_taskLib_NO_FREE_TASK_ID", (char *) S_taskLib_NO_FREE_TASK_ID, 0},
    {"S_taskLib_NAME_NOT_FOUND", (char *) S_taskLib_NAME_NOT_FOUND, 0},
    {"S_taskLib_TASK_ID_ERROR", (char *) S_taskLib_TASK_ID_ERROR, 0},
    {"S_taskLib_TASK_HOOK_TABLE_FULL", (char *) S_taskLib_TASK_HOOK_TABLE_FULL, 0},
    {"S_taskLib_TASK_HOOK_NOT_FOUND", (char *) S_taskLib_TASK_HOOK_NOT_FOUND, 0},
    {"S_taskLib_TASK_VAR_NOT_FOUND", (char *) S_taskLib_TASK_VAR_NOT_FOUND, 0},
    {"S_tyLib_SMPTE_READ_ERROR", (char *) S_tyLib_SMPTE_READ_ERROR, 0},
    {"S_usrLib_NOT_ENOUGH_ARGS", (char *) S_usrLib_NOT_ENOUGH_ARGS, 0},
    {"S_vrtx_TASK_ID_ERROR", (char *) S_vrtx_TASK_ID_ERROR, 0},
    {"S_vrtx_NO_TCBS_AVAILABLE", (char *) S_vrtx_NO_TCBS_AVAILABLE, 0},
    {"S_vrtx_NO_MEMORY_AVAILABLE", (char *) S_vrtx_NO_MEMORY_AVAILABLE, 0},
    {"S_vrtx_NOT_A_MEMORY_BLOCK", (char *) S_vrtx_NOT_A_MEMORY_BLOCK, 0},
    {"S_vrtx_MAILBOX_IN_USE", (char *) S_vrtx_MAILBOX_IN_USE, 0},
    {"S_vrtx_ZERO_MESSAGE", (char *) S_vrtx_ZERO_MESSAGE, 0},
    {"S_vrtx_BUFFER_FULL", (char *) S_vrtx_BUFFER_FULL, 0},
    {"S_vrtx_WAITC_IN_PROGRESS", (char *) S_vrtx_WAITC_IN_PROGRESS, 0},
    {"S_vrtx_INVALID_SYSTEM_CALL", (char *) S_vrtx_INVALID_SYSTEM_CALL, 0},
    {"S_vrtx_TIMEOUT", (char *) S_vrtx_TIMEOUT, 0},
    {"S_vrtx_NO_MESSAGE_PRESENT", (char *) S_vrtx_NO_MESSAGE_PRESENT, 0},
    {"S_vrtx_QUEUE_ID_ERROR", (char *) S_vrtx_QUEUE_ID_ERROR, 0},
    {"S_vrtx_QUEUE_FULL", (char *) S_vrtx_QUEUE_FULL, 0},
    {"S_vrtx_PARTITION_ID_ERROR", (char *) S_vrtx_PARTITION_ID_ERROR, 0},
    {"S_vrtx_TASK_ID_ERROR", (char *) S_vrtx_TASK_ID_ERROR, 0},
    {"S_vrtx_NO_TCBS_AVAILABLE", (char *) S_vrtx_NO_TCBS_AVAILABLE, 0},
    {"S_vrtx_NO_MEMORY_AVAILABLE", (char *) S_vrtx_NO_MEMORY_AVAILABLE, 0},
    {"S_vrtx_NOT_A_MEMORY_BLOCK", (char *) S_vrtx_NOT_A_MEMORY_BLOCK, 0},
    {"S_vrtx_MAILBOX_IN_USE", (char *) S_vrtx_MAILBOX_IN_USE, 0},
    {"S_vrtx_ZERO_MESSAGE", (char *) S_vrtx_ZERO_MESSAGE, 0},
    {"S_vrtx_BUFFER_FULL", (char *) S_vrtx_BUFFER_FULL, 0},
    {"S_vrtx_WAITC_IN_PROGRESS", (char *) S_vrtx_WAITC_IN_PROGRESS, 0},
    {"S_vrtx_INVALID_SYSTEM_CALL", (char *) S_vrtx_INVALID_SYSTEM_CALL, 0},
    {"S_vrtx_TIMEOUT", (char *) S_vrtx_TIMEOUT, 0},
    {"S_vrtx_NO_MESSAGE_PRESENT", (char *) S_vrtx_NO_MESSAGE_PRESENT, 0},
    {"S_vrtx_QUEUE_ID_ERROR", (char *) S_vrtx_QUEUE_ID_ERROR, 0},
    {"S_vrtx_QUEUE_FULL", (char *) S_vrtx_QUEUE_FULL, 0},
    {"S_vrtx_PARTITION_ID_ERROR", (char *) S_vrtx_PARTITION_ID_ERROR, 0},
    {"S_vrtx_INSUFFICIENT_WORKSPACE", (char *) S_vrtx_INSUFFICIENT_WORKSPACE, 0},
    {"S_vrtx_NO_CHARACTER_PRESENT", (char *) S_vrtx_NO_CHARACTER_PRESENT, 0},
    {"S_vrtx_INVALID_CONFIG_TAB_PARAM", (char *) S_vrtx_INVALID_CONFIG_TAB_PARAM, 0},
    {"S_vrtx_INVALID_INPUT_PARAMETER", (char *) S_vrtx_INVALID_INPUT_PARAMETER, 0},
    {"S_vrtx_NO_COMPONENT_VECTOR_TAB", (char *) S_vrtx_NO_COMPONENT_VECTOR_TAB, 0},
    {"S_vrtx_UNDEFINED_COMPONENT", (char *) S_vrtx_UNDEFINED_COMPONENT, 0},
    {"S_vrtx_UNDEFINED_OPCODE", (char *) S_vrtx_UNDEFINED_OPCODE, 0},
    {"S_vrtx_NO_CONTROL_BLOCKS_AVAIL", (char *) S_vrtx_NO_CONTROL_BLOCKS_AVAIL, 0},
    {"S_vrtx_SEMAPHORE_ID_ERROR", (char *) S_vrtx_SEMAPHORE_ID_ERROR, 0},
    {"S_vrtx_TASKS_PENDING_ON_SEM", (char *) S_vrtx_TASKS_PENDING_ON_SEM, 0},
    {"S_vrtx_SEMAPHORE_IS_DELETED", (char *) S_vrtx_SEMAPHORE_IS_DELETED, 0},
    {"S_vrtx_SEMAPHORE_OVERFLOW", (char *) S_vrtx_SEMAPHORE_OVERFLOW, 0},
    {"S_wind_TASK_ID_ERROR", (char *) S_wind_TASK_ID_ERROR, 0},
    };

LOCAL SYMTAB symTbl =
    {
    NELEMENTS (symbols),	/* current number of symbols in table */
    NELEMENTS (symbols),	/* maximum number of symbols in table */
    100,			/* maximum symbol length */
    symbols,			/* ptr to symbol array */
    };

SYMTAB_ID statSymTbl = &symTbl;
