/* ldLib.h - object module loader library header */

/*
modification history
--------------------
01g,05jun88,dnw  changed ldLib to ldLib.
01f,07aug87,ecs  added LD_NO_ADDRESS.
01e,24dec86,gae  changed stsLib.h to vwModNum.h.
01d,10aug84,dnw  removed unused status code: S_ldLib_UNDEFINED_SYMBOL.
01c,07aug84,ecs  added include of stsLib.h
		 added status codes
		 added inclusion test
01b,29jun84,ecs  changed values of *_SYMBOLS so default would be GLOBAL_SYMBOLS
01a,27apr84,dnw  written
*/

#ifndef INCldLibh
#define INCloadlibh	1

#include "vwModNum.h"


/* status codes */

#define S_ldLib_TOO_MANY_SYMBOLS	(M_ldLib | 1)


#define NO_SYMBOLS	-1
#define GLOBAL_SYMBOLS	0
#define ALL_SYMBOLS	1

#define LD_NO_ADDRESS	((char *) NONE)

#endif
