/* udp_var.h - UDP kernal structure and variable header file */

/*
 * Copyright (c) 1987 Wind River Systems, Inc.
 * Copyright (c) 1982, 1986 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * and the VxWorks Software License Agreement specify the terms and
 * conditions for redistribution.
 *
 *	@(#)udp_var.h	7.1 (Berkeley) 6/5/86
 */

/*
modification history
--------------------
02b,04nov87,dnw  moved definitions of udb and udpstat to udp_usrreq.c
02a,03apr87,ecs  added header and copyright.
*/

#ifndef INCudp_varh
#define INCudp_varh

/* UDP kernel structures and variables. */

struct	udpiphdr
    {
    struct 	ipovly ui_i;		/* overlaid ip structure */
    struct	udphdr ui_u;		/* udp header */
    };
#define	ui_next		ui_i.ih_next
#define	ui_prev		ui_i.ih_prev
#define	ui_x1		ui_i.ih_x1
#define	ui_pr		ui_i.ih_pr
#define	ui_len		ui_i.ih_len
#define	ui_src		ui_i.ih_src
#define	ui_dst		ui_i.ih_dst
#define	ui_sport	ui_u.uh_sport
#define	ui_dport	ui_u.uh_dport
#define	ui_ulen		ui_u.uh_ulen
#define	ui_sum		ui_u.uh_sum

struct	udpstat
    {
    int	udps_hdrops;
    int	udps_badsum;
    int	udps_badlen;
    };

#define	UDP_TTL		30		/* time to live for UDP packets */

#endif
