/* netDrv.h - netDrv header */

/*
modification history
--------------------
01d,08jan87,jlf  added ifndef's to keep from being included twice.
01c,24dec86,gae  changed stsLib.h to vwModNum.h.
01b,27jul86,llk  added S_netDrv_NO_SUCH_FILE_OR_DIR, S_netDrv_PERMISSION_DENIED,
		 S_netDrv_IS_A_DIRECTORY, S_netDrv_UNIX_FILE_ERROR
01a,30apr86,llk  written.
*/

#ifndef INCnetDrvh
#define INCnetDrvh	1

#include "vwModNum.h"

/* netDrv status codes */

#define S_netDrv_INVALID_NUMBER_OF_BYTES	(M_netDrv | 1)
#define S_netDrv_SEND_ERROR			(M_netDrv | 2)
#define S_netDrv_RECV_ERROR			(M_netDrv | 3)
#define S_netDrv_UNKNOWN_REQUEST		(M_netDrv | 4)
#define S_netDrv_BAD_SEEK			(M_netDrv | 5)
#define S_netDrv_SEEK_PAST_EOF_ERROR		(M_netDrv | 6)
#define S_netDrv_BAD_EOF_POSITION		(M_netDrv | 7)
#define S_netDrv_SEEK_FATAL_ERROR		(M_netDrv | 8)
#define	S_netDrv_WRITE_ONLY_CANNOT_READ		(M_netDrv | 9)
#define	S_netDrv_READ_ONLY_CANNOT_WRITE		(M_netDrv | 10)
#define	S_netDrv_READ_ERROR			(M_netDrv | 11)
#define S_netDrv_WRITE_ERROR			(M_netDrv | 12)
#define S_netDrv_NO_SUCH_FILE_OR_DIR		(M_netDrv | 13)
#define S_netDrv_PERMISSION_DENIED		(M_netDrv | 14)
#define S_netDrv_IS_A_DIRECTORY			(M_netDrv | 15)
#define S_netDrv_UNIX_FILE_ERROR		(M_netDrv | 16)

#endif
