/* rpcGbl.h - header file for rpc globals */

/*
modification history
--------------------
01d,20may88,ak   made 01c version be rcs'd as part of yuba migration
01c,19apr88,llk  added nfsClientCache to MODULE_LIST.
01b,05nov87,dnw  moved definition of taskModuleList to rpcLib.c.
*/

#ifndef INCrpcGblh
#define INCrpcGblh

#include "auth.h"
#include "clnt.h"

typedef struct
    {
    struct moduleStatics *auth_none;
    struct moduleStatics *clnt_raw;
    struct moduleStatics *clnt_simple;
    struct moduleStatics *svc;
    struct moduleStatics *svc_raw;
    struct moduleStatics *svc_simple;
    struct moduleStatics *nfsClientCache;
/*
 * This is the "network" we will be moving stuff over in clnt_raw.c and
 * svc_raw.c.
 */
    char _raw_buf[UDPMSGSIZE];
/*
 * A handle on why an rpc creation routine failed (returned NULL.)
 */
    struct rpc_createerr rpc_createerr;

    } MODULE_LIST;


extern MODULE_LIST *taskModuleList;

#endif
