/* usrLib.h - header for user interface subroutines */

/*
modification history
--------------------
01e,24dec86,gae  changed stsLib.h to vwModNum.h.
01d,20aug86,llk  added register codes.
01c,10feb86,dnw  deleted obsolete definition of S_usrLib_NO_FREE_TID.
01b,13aug84,dnw  changed name to usrLib.
01a,06aug84,ecs  written
*/

#ifndef INCusrLibh
#define INCusrLibh	1

#include "vwModNum.h"


/* usrLib status codes */

#define S_usrLib_NOT_ENOUGH_ARGS	(M_usrLib | 1)

/* register codes for getting and setting register values */

#define D0	0	/* data registers 0 to 7 */
#define D1	1
#define D2	2
#define D3	3
#define D4	4
#define D5	5
#define D6	6
#define D7	7

#define A0	8	/* address registers 0 to 6 */
#define A1	9
#define A2	10
#define A3	11
#define A4	12
#define A5	13
#define A6	14

#define A7	15	/* a7 is the stack pointer */

#define SR	16	/* status register */
#define PC	17	/* program counter */

#endif
