/* wdLib.h - watchdog timer library header */

/*
modification history
--------------------
01a,21may84,dnw  written
*/

#ifndef INCwdLibh
#define INCwdLibh	1

#include "lstLib.h"

/* HIDDEN */

typedef struct
    {
    NODE wdNode;	/* linked list node for watchdog list */
    int wdCount;	/* ticks until expiration (0 = off) */
    FUNCPTR wdRoutine;	/* routine to call upon expiration */
    int wdParameter;	/* arbitrary parameter to routine */
    } WDOG;

/* END_HIDDEN */


typedef WDOG *WDOG_ID;

/* function declarations */

WDOG_ID wdCreate ();

#endif
